<div class="row">
  <img id="CheckImage" src=""/>
  <div class="col-3 background-gradient">
    <img src="../../assets/img/home-logo.png" class="logo resize"/>

    <div id="allSelects">
      <form [formGroup]="selectTaskForm" novalidate>
        <div  *ngIf="!isTeacher">
          <div>
            <select formControlName="grade" class="select-css" (change)="onChangeGrade()">
              <option value="" disabled selected>Razred</option>
              <option value="1">1</option>
              <option value="2">2</option>
              <option value="3">3</option>
              <option value="4">4</option>
            </select>
          </div>

          <div>
            <select formControlName="field" class="select-css" (change)="onChangeField()">
              <option value="" disabled selected>Oblast</option>
              <option [value]="field._id" *ngFor="let field of fields | async">{{field.title}}</option>
            </select>
          </div>

          <div>
            <select formControlName="topic" class="select-css" (change)="onChangeTopic($event)">
              <option value="" disabled selected>Tema</option>
              <option [value]="topic._id" *ngFor="let topic of topics | async">{{topic.title}}</option>
            </select>
          </div>

          <div>
            <select formControlName="level" class="select-css" (change)="onChangeLevel()">
              <option value="" disabled selected>Nivo</option>
              <option value="easy">Početnik</option>
              <option value="medium">Srednji</option>
              <option value="hard">Napredni</option>
            </select>
          </div>

          <div>
            <select formControlName="task" class="select-css" (change)="onChangeTask()">
              <option value="" disabled selected>Zadatak</option>
              <option [value]="i" *ngFor="let task of tasks | async; index as i">Zadatak {{task.id}}</option>
            </select>
          </div>
        </div>

        <div *ngIf="isTeacher">
          <div>
            <select formControlName="statistic" class="select-css" (change)="onChangeStatistic()">
              <option value="" disabled selected>Statistika</option>
              <option value="student">Po učeniku</option>
              <option value="field">Po temi</option>
              <option value="classroom">Odeljenje</option>
            </select>
          </div>

          <div *ngIf="chosenStatistic == 'student'">
            <select formControlName="statisticU" class="select-css" (change)="onSelectU()">
              <option value="" disabled selected>Izaberi učenika</option>
              <option [value]="ss.username" *ngFor="let ss of studentUsernamesFromDatabase | async">{{ss.firstname}} {{ss.lastname}}</option>
            </select>
          </div>

          <div *ngIf="chosenStatistic == 'field'">
            <div>
              <select formControlName="statisticF" class="select-css" (change)="onSelectF()">
                <option value="" disabled selected>Izaberi oblast</option>
                <option [value]="ss._id" *ngFor="let ss of fieldTitlesFromDatabase | async">{{ss.title}}</option>
              </select>
            </div>

            <div *ngIf="isFieldChosen">
              <select formControlName="statisticT" class="select-css" (change)="onSelectT()">
                <option value="" disabled selected>Izaberi temu</option>
                <option [value]="ss.title" *ngFor="let ss of topicTitlesFromDatabase | async">{{ss.title}}</option>
              </select>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>

  <div class="col-9 rightside">
    <nav>
      <form class="form-inline navbar-position" id="navbar-right">
        <a class="text-style smaller" [routerLink]="['/']">Odjavi se</a>
      </form>
    </nav>

    <div *ngIf="isTeacher">
      <div *ngIf="chosenStatistic == 'student'">
        <table>
          <thead>
            <tr>
              <th rowspan="3">Tema</th>
              <th colspan="9">Nivo</th>
            </tr>
            <tr>
              <th colspan="3">Početni</th>
              <th colspan="3">Srednji</th>
              <th colspan="3">Napredni</th>
            </tr>
            <tr>
              <th>UP</th>
              <th>T</th>
              <th>N</th>
              <th>UP</th>
              <th>T</th>
              <th>N</th>
              <th>UP</th>
              <th>T</th>
              <th>N</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let byTheme of studentStatisticByTopics | keyvalue">
              <td>{{byTheme.key}}</td>
              <ng-container *ngFor="let byLevel of byTheme.value | keyvalue">
                <td>{{byLevel.value[0]}}</td>
                <td>{{byLevel.value[1]}}</td>
                <td>{{byLevel.value[2]}}</td>
              </ng-container>
            </tr>
          </tbody>
        </table>
      </div>

      <div *ngIf="chosenStatistic == 'field'">
      </div>

      <div *ngIf="isFieldChosen">
      </div>

    </div>

    <div class="task-window" *ngIf="!isTeacher">
      <div class="task-header">
        <div class="task-header-topic" *ngIf="chosenTopic">
          <p class="text-style bigger">{{chosenTopic}}</p>
        </div>
        <div class="task-header-number" *ngIf="chosenTask">
          <p class="text-style smaller">Zadatak {{chosenTask.id}}</p>
        </div>
      </div>

      <div class="task" *ngIf="chosenTask && showTask">
        <form id="form-task">
          <img src="../../assets/img/owl.png" class="resize-owl"/>
          <label class="task-text-style">{{chosenTask.text}}</label>
          <br>

          <div class="task-task-div" *ngIf="chosenLevel == 'easy'">
            <label class="task-task-style">{{chosenTask.task}}</label>
          </div>

          <section id="sec-task-easy" *ngIf="chosenLevel == 'easy'">
            <br>
            <div>
              <input type="radio" id="control_01" [(ngModel)]="easyLevelStudentsSolution" name="select" value="{{chosenTask.possibleSolutions[0]}}">
              <label for="control_01">
                {{chosenTask.possibleSolutions[0]}}
              </label>
            </div>
            <div>
              <input type="radio" id="control_02" [(ngModel)]="easyLevelStudentsSolution" name="select" value="{{chosenTask.possibleSolutions[1]}}">
              <label for="control_02">
                {{chosenTask.possibleSolutions[1]}}
              </label>
            </div>
            <div>
              <input type="radio" id="control_03" [(ngModel)]="easyLevelStudentsSolution" name="select" value="{{chosenTask.possibleSolutions[2]}}">
              <label for="control_03">
                {{chosenTask.possibleSolutions[2]}}
              </label>
            </div>
          </section>

          <div class="div-med-hard" *ngIf="chosenLevel == 'medium' || chosenLevel == 'hard'">
            <div class="task-task-div-med-hard" *ngIf="chosenLevel == 'medium' || chosenLevel == 'hard'">
              <label class="task-task-style">{{chosenTask.task}}</label>
            </div>

            <section id="sec-task-medium-hard" *ngIf="chosenLevel == 'medium' || chosenLevel == 'hard'">
              <input type="text" id="students-solution" class="task-task-style" [(ngModel)]="medhardStudentsSolution" [ngModelOptions]="{standalone: true}">
            </section>
          </div>

          <br>
          <div class='buttons'>
            <button type="reset" id="task-btn-cancel" class="btn btn-text-style btn-violet" (click)="onClickGiveUp()">Odustati od zadatka</button>
            <button type="button" id="task-btn-check" class="btn btn-text-style btn-violet" (click)="onClickCheckTask()">Proveri rešenje</button>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
